## org.h2.table
Interface ColumnResolver

All Known Implementing Classes:
  SelectListColumnResolver, SingleColumnResolver, TableFilter

    public interface ColumnResolver

A column resolver is list of column (for example, a table) that can map a column name to an actual column.

Method Summary
`Column[]` `getColumns()` Get the column list.
`Column` `getRowIdColumn()` Get the row id pseudo column, if there is one.
`java.lang.String` `getSchemaName()` Get the schema name.
`Select` `getSelect()` Get the select statement.
`Column[]` `getSystemColumns()` Get the list of system columns, if any.
`java.lang.String` `getTableAlias()` Get the table alias.
`TableFilter` `getTableFilter()` Get the table filter.
`Value` `getValue(Column column)` Get the value for the given column.
`Expression` `optimize(ExpressionColumn expressionColumn, Column column)` Get the expression that represents this column.

Method Detail

### getTableAlias

    java.lang.String getTableAlias()

  Get the table alias.

  Returns:
    the table alias

### getColumns

    Column[] getColumns()

  Get the column list.

  Returns:
    the column list

### getSystemColumns

    Column[] getSystemColumns()

  Get the list of system columns, if any.

  Returns:
    the system columns or null

### getRowIdColumn

    Column getRowIdColumn()

  Get the row id pseudo column, if there is one.

  Returns:
    the row id column or null

### getSchemaName

    java.lang.String getSchemaName()

  Get the schema name.

  Returns:
    the schema name

### getValue

    Value getValue(Column column)

  Get the value for the given column.

  Parameters:
    `column` - the column
  Returns:
    the value

### getTableFilter

    TableFilter getTableFilter()

  Get the table filter.

  Returns:
    the table filter

### getSelect

    Select getSelect()

  Get the select statement.

  Returns:
    the select statement

### optimize

    Expression optimize(ExpressionColumn expressionColumn,
                        Column column)

  Get the expression that represents this column.

  Parameters:
    `expressionColumn` - the expression column
    `column` - the column
  Returns:
    the optimized expression